<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.finance.mapper.CustomWineDiyMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="customWineDiyResultMap" type="org.springblade.modules.finance.entity.CustomWineDiy">
        <result column="id" property="id"/>
        <result column="is_delete" property="isDelete"/>
        <result column="create_user_id" property="createUserId"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user_id" property="updateUserId"/>
        <result column="update_time" property="updateTime"/>
        <result column="order_no" property="orderNo"/>
        <result column="qr_code" property="qrCode"/>
        <result column="wine_label_image" property="wineLabelImage"/>
        <result column="wine_case_image" property="wineCaseImage"/>
        <result column="wine_box_image" property="wineBoxImage"/>
        <result column="handbag_image" property="handbagImage"/>
        <result column="wine_label_context" property="wineLabelContext"/>
        <result column="wine_case_context" property="wineCaseContext"/>
        <result column="wine_box_context" property="wineBoxContext"/>
        <result column="handbag_context" property="handbagContext"/>
        <result column="wine_label_font" property="wineLabelFont"/>
        <result column="wine_case_font" property="wineCaseFont"/>
        <result column="wine_box_font" property="wineBoxFont"/>
        <result column="handbag_font" property="handbagFont"/>
        <result column="wine_label_color" property="wineLabelColor"/>
        <result column="wine_case_color" property="wineCaseColor"/>
        <result column="wine_box_color" property="wineBoxColor"/>
        <result column="handbag_color" property="handbagColor"/>
        <result column="wine_label_sticker" property="wineLabelSticker"/>
        <result column="wine_case_sticker" property="wineCaseSticker"/>
        <result column="wine_box_sticker" property="wineBoxSticker"/>
        <result column="handbag_sticker" property="handbagSticker"/>
    </resultMap>


    <select id="selectCustomWineDiyPage" resultMap="customWineDiyResultMap">
        select * from biz_custom_wine_diy where is_delete = 0
    </select>

</mapper>
